Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.xml.marshalling
Class ClassMap

    java.lang.Object
      com.ejie.r01f.xml.marshalling.ClassMap

All Implemented Interfaces:
  java.io.Serializable

public class ClassMap
extends java.lang.Object
implements java.io.Serializable

Modela la configuración de mapeo de una clase de xml a objetos

See Also:
  Serialized Form

Field Summary
`java.util.Map` | `members`
`java.lang.String` | `name`
`java.lang.String` | `oidAccessorMethod`
`java.lang.String` | `packageName`
`boolean` | `useAccessors`

Constructor Summary
`ClassMap()` Constructor vacío
`ClassMap(java.lang.String newPackageName)` Constructor en base al nombre del paquete

Method Summary
`void` | `addAttrtMember(MemberMap newMember, java.lang.String memberTagName)` Establece un miembro en la clase como atributo
`void` | `addElementMember(MemberMap newMember, java.lang.String memberTagName)` Establece un miembro en la clase como elemento
`MemberMap` | `getMember(java.lang.String memberName)` Devuelve la definición del miembro
`MemberMap` | `getMemberFromXMLAttribute(java.lang.String xmlAttrName)` Devuelve la definición de un miembro a partir del atributo xml en que se define
`MemberMap` | `getMemberFromXMLElement(java.lang.String xmlElemName)` Devuelve la definición de un miembro a partir del elemento xml en que se define
`java.lang.String` | `getOidAccessorMethodName()` Devuelve el nombre del metodo accessor para obtener el oid de la clase (siempre que se haya definido en la clase)
`MemberMap` | `getOIDMember()` Devuelve el miembro que es oid
`java.lang.String` | `toXML()` Devuelve la representación XML del miembro

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### packageName

    public java.lang.String packageName

### useAccessors

    public boolean useAccessors

### members

    public java.util.Map members

### oidAccessorMethod

    public java.lang.String oidAccessorMethod

Constructor Detail

### ClassMap

    public ClassMap()

  Constructor vacío

### ClassMap

    public ClassMap(java.lang.String newPackageName)

  Constructor en base al nombre del paquete

Parameters:
  `newPackageName` -

Method Detail

### getMemberFromXMLAttribute

    public MemberMap getMemberFromXMLAttribute(java.lang.String xmlAttrName)

  Devuelve la definición de un miembro a partir del atributo xml en que se define

  Parameters:
    `xmlAttrName` - Nombre del atributo

### getMemberFromXMLElement

    public MemberMap getMemberFromXMLElement(java.lang.String xmlElemName)

  Devuelve la definición de un miembro a partir del elemento xml en que se define

  Parameters:
    `xmlElemName` - Nombre del elemto

### getOIDMember

    public MemberMap getOIDMember()

  Devuelve el miembro que es oid

  Returns:
    el miembro que es oid

### getOidAccessorMethodName

    public java.lang.String getOidAccessorMethodName()

  Devuelve el nombre del metodo accessor para obtener el oid de la clase (siempre que se haya definido en la clase)

  Returns:
    el nombre del metodo accessor

### getMember

    public MemberMap getMember(java.lang.String memberName)

  Devuelve la definición del miembro

  Parameters:
    `memberName` - Nombre del miembro
  Returns:
    La definición del miembro

### addElementMember

    public void addElementMember(MemberMap newMember,
                                 java.lang.String memberTagName)

  Establece un miembro en la clase como elemento

  Parameters:
    `newMember` -
    `memberTagName` -

### addAttrtMember

    public void addAttrtMember(MemberMap newMember,
                               java.lang.String memberTagName)

  Establece un miembro en la clase como atributo

  Parameters:
    `newMember` -
    `memberTagName` -

### toXML

    public java.lang.String toXML()

  Devuelve la representación XML del miembro

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD